GRAPH(1G)

NAME
graph - draw a graph

SYNOPSIS
graph [ option ] ...

DESCRIPTION
Graph with no options takes pairs of numbers from the standard input as abscissas and ordinates of a graph. Successive points are connected by straight lines. The graph is encoded on the standard output for display by the plot(1G) filters.

If the coordinates of a point are followed by a nonnumeric string, that string is printed as a label beginning on the point. Labels may be surrounded with quotes "...", in which case they may be empty or contain blanks and numbers; labels never contain newlines.

The following options are recognized, each as a separate argument.

-a  Supply abscissas automatically (they are missing from the input); spacing is given by the next argument (default 1). A second optional argument is the starting point for automatic abscissas (default 0 or lower limit given by -x).

-b  Break (disconnect) the graph after each label in the input.

-c  Character string given by next argument is default label for each point.

-g  Next argument is grid style, 0 no grid, 1 frame with ticks, 2 full grid (default).

-l  Next argument is label for graph.

-m  Next argument is mode (style) of connecting lines: 0 disconnected, 1 connected (default). Some devices give distinguishable line styles for other small integers.

-s  Save screen, don't erase before plotting.

-x [ l ]
    If l is present, x axis is logarithmic. Next 1 (or 2) arguments are lower (and upper) x limits. Third argument, if present, is grid spacing on x axis. Normally these quantities are determined automatically.

-y [ l ]
    Similarly for y.

-h  Next argument is fraction of space for height.

-w  Similarly for width.

-r  Next argument is fraction of space to move right before plotting.

-u  Similarly to move up before plotting.

-t  Transpose horizontal and vertical axes. (Option -x now applies to the vertical axis.)

A legend indicating grid range is produced with a grid unless the -s option is present.

If a specified lower limit exceeds the upper limit, the axis is reversed.

SEE ALSO
spline(1G), plot(1G)

BUGS
Graph stores all points internally and drops those for which there isn't room.
Segments that run out of bounds are dropped, not windowed.
Logarithmic axes may not be reversed.